Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenPropertyTabFilter

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  CustomTabFilter, TypeTabFilter

All Known Implementing Classes:
  CustomTabFilterImpl, TypeTabFilterImpl

    public interface GenPropertyTabFilter

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Property Tab Filter'.

The following features are supported:

- `Tab`

See Also:
  `GMFGenPackage.getGenPropertyTabFilter()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`GenCustomPropertyTab` `getTab()` Returns the value of the 'Tab' container reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTab

    GenCustomPropertyTab getTab()

  Returns the value of the 'Tab' container reference. It is bidirectional and its opposite is '`Filter`'.

  If the meaning of the 'Tab' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tab' container reference.
  See Also:
    `GMFGenPackage.getGenPropertyTabFilter_Tab()`, `GenCustomPropertyTab.getFilter()`
  ** Generated **
  Model:
    opposite="filter" resolveProxies="false" required="true" transient="false" changeable="false"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.